import matplotlib.pyplot as plt
numargs = gompertz.numargs
[ c ] = [0.9,] * numargs
rv = gompertz(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = gompertz.cdf(x, c)
h = plt.semilogy(np.abs(x - gompertz.ppf(prb, c)) + 1e-20)

# Random number generation

R = gompertz.rvs(c, size=100)
